    MAKEROM(1)                       User Commands                      MAKEROM(1)

    NAME
           webcomp - Compile files into C source code

    SYNOPSIS
           webcomp [options] files ... >output.c

           [--files fileList] [--name structName] [--strip prefix]

    DESCRIPTION
           To  enable files to be accessed on embedded systems without a file sys-
           tem, the webcomp command converts arbitrary files into C code that  can
           be  compiled and linked into a program. This is useful for applications
           that must execute completely from ROM and not  access  a  file  system.
           This  facility can also enhance security by preventing the modification
           of files.

           The MPR portable runtime provides routines which can  then  read  these
           files much as you would read any file on disk.

    OPTIONS
           --files fileList
                  Option to provide a list of files that should be converted.  --p
                  strip Specifies a prefix to remove from  each  of  the  compiled
                  file names.

           --name structName
                  Specifies  the name of top level C structure that holds the con-
                  verted files.

    EXAMPLE
           This example will create a list of web files  and  then  convert  these
           files into C structures in the file romFiles.c.

               find web -type f -print >fileList

               webcomp --files filelist >romFiles.c

               cc -o romFiles.o romFiles.c

    REPORTING BUGS
           Report bugs to <dev@embedthis.com>.

    COPYRIGHT
           Copyright (C) Embedthis Software.

    SEE ALSO
    makerom                           March 2014                        MAKEROM(1)